import javax.swing.*;
import javax.swing.text.html.*;
import javax.swing.tree.*;
import java.awt.event.*;
import java.awt.*;
import java.io.*;
import javax.swing.event.*;
import java.net.*;

class Indice extends JDialog {
		JPanel contenedor=new JPanel();
		JPanel tree=new JPanel();
		JPanel dibujo=new JPanel();
		JPanel botones=new JPanel();
		JEditorPane ep=new JEditorPane();
		JScrollPane sp=new JScrollPane(ep);
		JButton aceptar=new JButton("Aceptar");
				
		public Indice(final JFrame propietario){
			super(propietario,"Indice",true);
			
			DefaultMutableTreeNode top = new DefaultMutableTreeNode("Ayuda");
			ep.setEditable(false);
        		createNodes(top);
			final JTree tree = new JTree(top);
        		tree.getSelectionModel().setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
			final JSplitPane split=new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,tree,sp);
			split.setDividerLocation(100);
			tree.addTreeSelectionListener(new TreeSelectionListener() {
				public void valueChanged(TreeSelectionEvent e) {
					 DefaultMutableTreeNode node = (DefaultMutableTreeNode)	 tree.getLastSelectedPathComponent();
					  if (node == null) return;
					  String nodeInfo = node.getUserObject().toString();
					  if (node.isLeaf()) {
					 	
					 	if (nodeInfo.equals("Barra de Menus")){
					 		seleccionarPagina("help/Barra_de_Menus.html");
					 	}
					  	if (nodeInfo.equals("Barra de Herramientas")){
					 		seleccionarPagina("help/Barra_de_Herramientas.html");
					 	}
					 	
					 	if (nodeInfo.equals("Abrir un archivo")){
					 		seleccionarPagina("help/Abrir.html");
					 	}
						if (nodeInfo.equals("Comprimir archivos")){
					 		seleccionarPagina("help/Comprimir.html");
					 	}
						if (nodeInfo.equals("Extraer los archivos")){
					 		seleccionarPagina("help/Extraer.html");
					 	}
						if (nodeInfo.equals("Aadir archivos")){
					 		seleccionarPagina("help/Add.html");
					 	}
						if (nodeInfo.equals("Extraer uno o varios archivos")){
					 		seleccionarPagina("help/ExtraerPocos.html");
					 	}
						if (nodeInfo.equals("Borrar uno o varios archivos")){
					 		seleccionarPagina("help/Borrar.html");
					 	}
						if (nodeInfo.equals("Compresion")){
					 		seleccionarPagina("help/NiveldeCompresion.html");
					 	}
						if (nodeInfo.equals("Temas")){
					 		seleccionarPagina("help/Temas.html");
					 	}
					
              				  }
              			}
              		 });
              		
              		botones.setLayout(new GridLayout(1,4));
			botones.add(new JLabel(""));
			botones.add(new JLabel(""));
			botones.add(new JLabel(""));
			botones.add(aceptar);
			
			aceptar.addActionListener(new ActionListener(){public void actionPerformed(ActionEvent e){dispose();}});
			getContentPane().add(contenedor);
			contenedor.setLayout(new BorderLayout());
			contenedor.add("Center", split);
			contenedor.add("South",botones);
		}
			public void createNodes(DefaultMutableTreeNode top) {
        			DefaultMutableTreeNode category = null;
        			DefaultMutableTreeNode tipo = null;
				category = new DefaultMutableTreeNode("Interface");
        			top.add(category);
        			tipo= new DefaultMutableTreeNode("Barra de Menus");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Barra de Herramientas");
				category.add(tipo);
				category = new DefaultMutableTreeNode("Trabajar con Zipper");
        			top.add(category);
				tipo= new DefaultMutableTreeNode("Abrir un archivo");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Comprimir archivos");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Extraer los archivos");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Aadir archivos");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Extraer uno o varios archivos");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Borrar uno o varios archivos");
				category.add(tipo);
				category = new DefaultMutableTreeNode("Preferencias");
        			top.add(category);
        			tipo= new DefaultMutableTreeNode("Compresion");
				category.add(tipo);
				tipo= new DefaultMutableTreeNode("Temas");
				category.add(tipo);
				
			}
			
			public void seleccionarPagina(String pagina){
					try{
						File a=new File(pagina);
						URL url = new URL("file:///"+a.getAbsolutePath());
						if(url != null) {
    	          						ep.setPage(url);
       	    							ep.addHyperlinkListener(new Hyperactive());
								JViewport vp = sp.getViewport();
								vp.add(ep);
  		          				}
						}catch (MalformedURLException ex) {
   				        			String output="URL Incorrecta: "+ex;
	     							JOptionPane.showMessageDialog(null,output,"Error",JOptionPane.ERROR_MESSAGE);
		   				} catch (IOException ex) {
  								String output="Excepcion de E/S: "+ex;
    	  							JOptionPane.showMessageDialog(null,output,"Error",JOptionPane.ERROR_MESSAGE); } 
			}
			class Hyperactive implements HyperlinkListener {	
	         		public void hyperlinkUpdate(HyperlinkEvent e) {
 	          			if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
 		      				ep = (JEditorPane) e.getSource();
 		      				if (e instanceof HTMLFrameHyperlinkEvent) {
 		          				HTMLFrameHyperlinkEvent  evt = (HTMLFrameHyperlinkEvent)e;
 		          				HTMLDocument doc = (HTMLDocument)ep.getDocument();
 		          				doc.processHTMLFrameHyperlinkEvent(evt);
 		      				} else {
 		      		  	  		try {
 			      					ep.setPage(e.getURL());
 		         	 			} catch (Throwable t) {t.printStackTrace();}
 		      				}
 	          			}
 	      			}
     			}

 


	}
